Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
divide.cpp File Reference
`#include <botan/divide.h>`
`#include <botan/internal/mp_core.h>`
`#include <botan/internal/mp_madd.h>`
`#include <botan/internal/ct_utils.h>`
`#include <botan/internal/bit_ops.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Functions
void | Botan::ct_divide (const BigInt &x, const BigInt &y, BigInt &q_out, BigInt &r_out)
void | Botan::ct_divide_u8 (const BigInt &x, uint8_t y, BigInt &q_out, uint8_t &r_out)
BigInt | Botan::ct_modulo (const BigInt &x, const BigInt &y)
void | Botan::vartime_divide (const BigInt &x, const BigInt &y_arg, BigInt &q_out, BigInt &r_out)